首页新闻找找看学习计划

求助github源码运行

0
悬赏园豆:50 [已关闭问题] 关闭于 2016-08-31 19:56

在github上下载的term.js源码,里面的实例怎么运行不了啊?谁来帮帮我啊,真的很急!

项目地址:https://github.com/chjj/term.js

smalltimoo的主页 smalltimoo | 初学一级 | 园豆:148
提问于:2016-07-27 14:53
< >
分享
所有回答(3)
0

cmd进入你下载下来的主目录 ,运行npm install

MrNice | 园豆:2951 (老鸟四级) | 2016-07-27 16:11
0

首先,进入项目目录,打开CMD,运行npm install;
然后,进入sample目录,打开CMD,运行node index

seayxu | 园豆:5458 (大侠五级) | 2016-07-27 16:16

我还是想你们先运行一下再来回答,虽然步骤是好的,但有一些错误是我不能解决的,所以并没有解决问题,不过还是要谢谢你们了

支持(0) 反对(0) smalltimoo | 园豆:148 (初学一级) | 2016-07-28 09:14

@smalltimoo: 你说你的问题就好了,你使用过程中会出问题,并不代表我们也会出现,这跟个人的系统环境有关的。

支持(0) 反对(0) seayxu | 园豆:5458 (大侠五级) | 2016-07-28 18:18

@SeayXu:是这样子的,我直接在根目录运行npm install的话它会报错

支持(0) 反对(0) smalltimoo | 园豆:148 (初学一级) | 2016-07-29 09:26

这个问题解决不了,我就想把package.js里面的模块文件都单独install下来,但是在下载pty.js文件是出现以下错误怎么也解决不了

支持(0) 反对(0) smalltimoo | 园豆:148 (初学一级) | 2016-07-29 09:30

@smalltimoo: 在windows中我可以解决第一个错误,后面的还没解决。

npm config set msvs_version 2015/2013
npm config set python python

node-gyp

支持(0) 反对(0) seayxu | 园豆:5458 (大侠五级) | 2016-07-29 09:53

@SeayXu: 这第一行是一个命令吗?我运行不了

支持(0) 反对(0) smalltimoo | 园豆:148 (初学一级) | 2016-07-29 10:22

@SeayXu: 我运行了下第二行,发现问题任然存在,并没有解决

支持(0) 反对(0) smalltimoo | 园豆:148 (初学一级) | 2016-07-29 10:27

@smalltimoo: 不好意思,掉了npm,看上个回复

支持(0) 反对(0) seayxu | 园豆:5458 (大侠五级) | 2016-07-29 10:37

@SeayXu: 还是一样

支持(0) 反对(0) smalltimoo | 园豆:148 (初学一级) | 2016-07-29 10:44

@smalltimoo: 要安装Python 2.7.x的版本的,还要将python添加到环境变量 PATH中

支持(0) 反对(0) seayxu | 园豆:5458 (大侠五级) | 2016-07-29 10:53

@SeayXu: 弄好之后还出现这样的问题

支持(0) 反对(0) smalltimoo | 园豆:148 (初学一级) | 2016-08-01 09:32
0

smalltimoo | 园豆:148 (初学一级) | 2016-08-31 19:56
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册